Subject: Re: Cisco SG16: Annex E comments

From: Tom-PT Taylor <[email-masked]>
Date: Wed, 2 Feb 2000 14:03:06 -0600

The following remain open items from Chip's original E-mail.

> -----Original Message-----
> From: Chip Sharp [SMTP:[email-masked]]
> Sent: Tuesday, January 25, 2000 8:18 PM
        [[TomT]]  snip
>
> Section:        E.8
> Category:       Technical
> Issue:          The draft text specifies that the possible values for the
> signals
> are "q724" and that the MG figures out whether a 2-wire or 4-wire
> continuity test is to be performed on the trunk in question. First of all,
> it is unclear how the MG determines precisely what continuity test variant
> to perform unless it is assumed that the MG is provisioned with this
> information, however this should not be a requirement. Secondly, national
> variants of continuity test procedures exist, and considering the package
> is a "basic continuity package" it should be possible to use this package
> without requiring support for Q.724 continuity test.
> Proposal:       It is recommended, that the possible test values are not
> specified in this basic package, but that extension packages define this
> packages, similarly to the "tone generator" and "tone detection" packages
> defined in Annex E.1 and E.2
>
> v13 Status:     OPEN. No relevant text changed.
        [[TomT]]
        The understanding in Redbank was that the proper continuity test to
apply would indeed be provisioned in the MG.  As I see it this is really the
best place for this information -- otherwise it would have to be provisioned
in the MGC.  In any event, it is certainly workable as a v1 solution.

        I know the Q.724 reference has been there all along, and I agree
that it should not be required that all MGs support it.  Chip's proposal
sounds reasonable.

        [[TomT]]  snip

> Section:        E.11.1
> Category:       Technical
> Issue:          The draft text specifies that "silence suppression" is a
> property
> of the DS0 package. However silence suppression relates to the encoding
> method and as such should be a property of each packet based termination.
> For example, if a three-way call is established with one DS0 termination,
> and two RTP terminations, it is conceivable that one of the RTP
> terminations would like to use silence suppression while the other would
> not (or cannot for that matter as not all codecs support silence
> suppression).
> Proposal:       It is recommended that the "silence suppression" property
> is
> moved from the DS0 package to the "network package"
>
> v13 Status:     SEMI-OPEN. Silence suppression has been removed, but it
> has not
> been added anywhere else (except for Annex C.1 which defines it as a
> General Media Attribute).
>
        [[TomT]]  Yes, guess we need it.  I assume it's a property to go
into LocalControl -- the far end doesn't need to know about it in advance.
Am I wrong?

> Support NetAid!  http://www.netaid.org
> --------------------------------------------------
> Chip Sharp                 Consulting Engineering
> Cisco Systems              Telco Bio-region
> Reality - Love it or Leave it.
> --------------------------------------------------

---

From: Flemming Andreasen <[email-masked]>
Date: Fri, 4 Feb 2000 21:48:33 -0500

Hi Tom

One comment below

-- Flemming

Tom-PT Taylor wrote:

>      Issue:          The draft text specifies that the possible values
>      for the signals
>      The understanding in Redbank was that the proper continuity test
>      to apply would indeed be provisioned in the MG.  As I see it this
>      is really the best place for this information -- otherwise it
>      would have to be provisioned in the MGC.  In any event, it is
>      certainly workable as a v1 solution.
>
>      that it should not be required that all MGs support it.  Chip's
>      proposal sounds reasonable.
>
>
>      [[TomT]]  snip
>
>      Section:        E.11.1
>      Category:       Technical
>      Issue:          The draft text specifies that "silence
>      suppression" is a property
>      Proposal:       It is recommended that the "silence suppression"
>      property is
>      v13 Status:     SEMI-OPEN. Silence suppression has been removed,
>      but it has not
>      into LocalControl -- the far end doesn't need to know about it in
>      advance.  Am I wrong?
>

No, I think you have a point here. It's not a general network property
but a codec property, and consequently it shouldn't be in the "network
package". Come to think of it, "Local" rather than "LocalControl" would
seem the best fit, but not quite sure what that would look like in SDP.

--
---------------------------------------
Flemming Andreasen
Cisco Systems
---------------------------------------